Subject: D-Bus services not working on foreign distributions/non-user profiles

From: Maxim Cournoyer <[email-masked]>
Date: Thu, 20 May 2021 11:20:29 -0400

Hello,

On Guix System, the D-bus session service honors D-Bus service
definitions found under ~/.guix-profile/share.  That is not the case on
foreign distributions, breaking applications such as Jami (where the
daemon is normally auto-launched via D-Bus at the time the client
attempts to use it).

The same problem occurs on Guix System when attempting to use D-Bus
services from a non-user profile (such as with 'guix environment
--ad-hoc').

We should try to find a way to make this work; either automatically
(seems a tough nut to crack) or through manual, documented steps.

Thanks,

Maxim